# Function createFlattenedLayerXList

- createFlattenedLayerXList(source): Collection<LayerExtension>

- Flattens a MapExtension or a Collection of LayerExtensions into a single Collection of LayerExtensions, including nested group layers.

  #### Parameters

  - source: MapExtension | Collection<LayerExtension<LayerExtensionProperties>>

    The MapExtension or Collection of LayerExtensions to flatten.

  #### Returns Collection<LayerExtension>

  A flattened Collection of LayerExtensions.